<?php

ob_start();

session_start();

include "configbd.php";
date_default_timezone_set('America/Sao_Paulo');


$idnucleo = $_SESSION["idnucleo"];

$idcurso = $_SESSION['id_curso']; 

$idregional =  $_SESSION['idregional']; 

$id_plantao = $_POST["id_plantao"];

$mes_referencia = $_POST["mes_referencia"];

$ano_referencia = $_POST["ano_referencia"];

$dias_letivos = $_POST["dias_letivos"];


$mes_atividades = $mes_referencia;

$ano_atividades= $ano_referencia;

$hoje = date('Y-m-d');

$operador = $_SESSION['id_operador'];







function calcula_idade($data_nascimento) {



    $data_nasc = explode('-', $data_nascimento);

    $data = date('Y-m-d');

    $data = explode("-", $data);

    $anos = $data[0] - $data_nasc[0];

    

    if ($data_nasc[1] >= $data[1]){

        if ($data_nasc[2] <= $data[2]){

            return $anos; break;

        } else {

            return $anos-1;

            break;

        } 

    } else {

        return $anos;

    } 

}











$data_fim= date($ano_referencia."-".$mes_referencia."-t 00:00:01");



$data_inicio = $ano_atividades."-".$mes_atividades."-1 00:00:01";





$id = $_POST['id'];

$cpf = $_POST['cpf'];

$nome = $_POST['nome'];

$presenca = $_POST['presenca'];



foreach(array($id) as $info1){

foreach(array($nome) as $info2){

foreach(array($cpf) as $info3){

foreach(array($presenca) as $info4){

for($i = 0; $i < count($info1); $i++) {



if($info4[$i]> $dias_letivos){

	

	echo "<script>";

echo "alert('OS DIA DE PRESENÇA DE ALUNO NAO PODEM SER MAIORES QUE DIAS LETIVOS DO NÚCLEO !');";

echo "window.close();";



echo"</script>";



exit;



	

	

}



}

}

}

}

}














$sql_verifica= "select * from senuc_plantoes where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia' and id='$id_plantao'";

$resultado = mysql_query($sql_verifica);

$linhas = mysql_num_rows($resultado);

if($linhas==0){



foreach(array($id) as $info1){

foreach(array($nome) as $info2){

foreach(array($cpf) as $info3){

foreach(array($presenca) as $info4){

$total_pessoas = count($info1);

for($i = 0; $i < count($info1); $i++) {



//echo $info2[$i].','.$info3[$i].','.$info4[$i].' / - /';

$sql="INSERT INTO senuc_frequencias (categoria,nome,cpf,presencas,ano,mes,dias_abertura,idnucleo,data_insercao,operador,idregional)  values('".$categoria."','".$info2[$i]."','".$info3[$i]."','".$info4[$i]."','".$ano_referencia."','".$mes_referencia."','".$dias_letivos."','".$idnucleo."','".$hoje."','".$operador."','".$idregional."')";

$result = mysql_query($sql,$conexao1)or die (mysql_error()."ERRO 1");;





}

}

}

}

}




echo "<script>";

echo "alert('DADOS INSERIDOS COM SUCESSO !');";

echo "window.close();";

echo"</script>";

exit;







}

else{

echo "<script>";

echo "alert('JÁ FORAM INSERIDAS FREQUENCIAS PARA O MES SOLICITADO !');";

echo "window.close();";

echo"</script>";

exit;



}









?>

